#include <iostream>

using namespace std;

struct razlomak
{
    int brojilac;
    int imenilac;
};

struct drvo
{
    razlomak koef;
    struct drvo* levi;
    struct drvo* desni;
    
    drvo(razlomak vrednost)
    {
        koef.brojilac = vrednost.brojilac;
        koef.imenilac = vrednost.imenilac;
        
        levi = NULL;
        desni = NULL;
    }
};

int unosDrvo(drvo* poc, razlomak unos, int br)
{
    if(unos.imenilac == 0)
    {
        unos.brojilac *= unos.brojilac;
    }
    
    if(unos.brojilac == 0)
    {
        unos.imenilac *= unos.imenilac;
    }
    
    if((unos.brojilac < 0) && (unos.imenilac < 0))
    {
        unos.brojilac *= -1;
        unos.imenilac *= -1;
    }
    
    if(poc->koef.brojilac * unos.imenilac > poc->koef.imenilac * unos.brojilac)
    {
        if(poc->levi == NULL)
        {
            poc->levi = new drvo(unos);
            return br;
        }
        else
        {
            br = unosDrvo(poc->levi, unos, br);
        }
    }
    else if(poc->koef.brojilac * unos.imenilac < poc->koef.imenilac * unos.brojilac)
    {
        if(poc->desni == NULL)
        {
            poc->desni = new drvo(unos);
            return br;
        }
        else
        {
            br = unosDrvo(poc->desni, unos, br);
        }
    }
    else if(((poc->koef.brojilac == unos.brojilac * 2) || (poc->koef.brojilac * 2 == unos.brojilac)) || ((poc->koef.imenilac == unos.imenilac * 2) || (poc->koef.imenilac * 2 == unos.imenilac)))
    {
        br++;
        return br;
    }
    else
    {
        return br;
    }
}

int main()
{
    int n;
    int res = 0;
    long long x[1500];
    long long y[1500];

    cin >> n;
    
    cin >> x[0] >> y[0];
    
    cin >> x[1] >> y[1];
    
    razlomak p;
    p.brojilac = y[1] - y[0];
    p.imenilac = x[1] - x[0];
    
    drvo* koren = new drvo(p);
    
    for(int i = 2; i < n; i++)
    {
        cin >> x[i] >> y[i];
        
        for(int j = 0; j < i; j++)
        {
            p.brojilac = y[j] - y[i];
            p.imenilac = x[j] - x[i];
            res = unosDrvo(koren, p, res);
        }
    }
    
    cout << res << endl;
    
    return 0;
}